Bug 129030 - make default queryformat configurable
Summary: make default queryformat configurable
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-03 10:30 UTC by Thomas Zehetbauer
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-14 16:39:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thomas Zehetbauer 2004-08-03 10:30:23 UTC
Description of problem:
When querying rpms on the x86_64 platform one often ends up having to
specify --queryformat '%{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}\n' to
differentiate 32- and 64-bit packages. The same problem exists for
i386/i586/i686 packages on the i386 platform. I would love to put
something like queryformat in my ~/.rpmrc to change the default
behaviour to also show the packages architecture.

Version-Release number of selected component (if applicable):
rpm-4.3.2-0.6

Comment 1 Jeff Johnson 2004-08-03 13:37:49 UTC
The default query format is already configurable:
#
# Default headerSprintf() output format string for rpm -qa
#
# XXX   Note: escaped %% for use in headerSprintf()
%_query_all_fmt         %%{name}-%%{version}-%%{release}


Comment 2 Thomas Zehetbauer 2004-09-14 10:34:26 UTC
Thank you, that helped, I propose to change the default to
  %_query_all_fmt %%{name}-%%{version}-%%{release}.%%{arch}
for multi-arch systems (x86_64). Unfortunately the format specified is
not used in all cases especially in error messages:
  file /etc/ld.so.conf.d/qt.conf from install of qt-3.3.3-3 conflicts
with file from package qt-3.3.3-3


Comment 3 Jeff Johnson 2004-09-14 16:39:30 UTC
Yup, nor can error msgs be changed to include more specific
information, like epoch and arch, without breaking other
applications that insist on screen scraping from /bin/rpm invocations.

Retrofitting parameterization ala %_query_format_all everywhere
is the wrong solution as well, as rpm is already hard to configure.

I do not believe the change is necessary, as rpm has any number of
ways to query for the information needed to diagnose and fix a
problem already, and the minor benefit of a more precise error
msg is overwhelmed by the cost of a significantly more complex
configuration.


Note You need to log in before you can comment on or make changes to this bug.